"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.store = exports.Store = void 0;
const constants_1 = require("./constants");
const shared_1 = require("./shared");
class Store {
    constructor(options) {
        this.options = options;
    }
    get store() {
        var _a, _b;
        if ((_a = this.options) === null || _a === void 0 ? void 0 : _a.store) {
            return (_b = this.options) === null || _b === void 0 ? void 0 : _b.store;
        }
        return shared_1.shared.get(constants_1.STORE);
    }
    dispatch(action) {
        this.store.dispatch(action);
    }
    getState() {
        return this.store.getState();
    }
    subscribe(cb) {
        this.store.subscribe(cb);
    }
}
exports.Store = Store;
exports.store = new Store();
